<template>
    <ul :class="type">
        <template v-for="(step, key) in progressSteps">
            <li
                v-if="step.title"
                :key="key"
                :class="{ step_completed: step.completed }"
            >
                <span>
                    <div
                        class="relative icon"
                        :class="{'border_blue': type == 'no_dismiss' && !step.completed}"
                    >
                        <img
                            v-if="type == 'no_dismiss' && step.completed"
                            src="/images/step-check-2.svg"
                            alt=""
                        >
                        <img
                            v-if="type !== 'no_dismiss'"
                            :src="`/images/step-check-2${
                                step.completed ? '.svg' : '-empty.svg'
                            }`"
                            alt=""
                        >
                        <div
                            v-if="type == 'no_dismiss' && !step.completed"
                            class="count"
                        >{{ key + 1 }}</div>
                    </div>
                </span>
                <router-link
                    v-if="step.url && !step.completed"
                    :to="step.url"
                >
                    <span
                        :class="
                            getFirstUncompletedStepTitle() === step.title
                                ? 'active'
                                : ''
                        "
                    >
                        <template v-if="type !== 'no_dismiss'">{{ key + 1 }}.</template> {{ step.title }}
                    </span>
                </router-link>
                <span
                    v-else
                    :class="
                        getFirstUncompletedStepTitle() === step.title ? 'active' : ''
                    "
                >
                    <template v-if="type !== 'no_dismiss'">{{ key + 1 }}.</template> {{ step.title }}
                </span>
            </li>
        </template>
    </ul>
</template>

<script>
export default {
    props: ['progressSteps', 'type'],
    methods: {
        getFirstUncompletedStepTitle() {
            for (let step of this.progressSteps) {
                if (!step.completed) {
                return step.title;
                }
            }

            return "Completed";
        },
    }
}
</script>


<style scoped lang="scss">
.step_completed {
  color: #98a0a6;
}
.no_dismiss {
    display: flex;
    align-items: center;
    justify-content: space-around;
    flex-wrap: wrap;
    padding: 0;
    margin-bottom: 16px;
    li {
        display: flex;
        flex-direction: column;
        align-items: center;
        span {
            &:last-of-type {
                margin-top: 8px;
            }
        }
        @media(max-width: 768px) {
            width: 100%;
            margin-bottom: 8px;
            span {
                &:last-of-type {
                    margin-top: 4px;
                }
            }
        }
    }
    .icon {
        border-radius: 50%;
        width: 24px;
        height: 24px;
        img {
            width: 100%;
            height: 100%;
        }
        &.border_blue {
            border: 1px solid #4786FF;
        }
       
    }
}
.count {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    font-size: 14px;
    line-height: 17px;
    color: #4786FF;
    
}
ul li {   
    list-style: none;
    font-size: 16px;
    font-weight: 500;
    .active {
        color: #4786FF;
    }
}
</style>
